import ray
import urllib3
from ray.job_submission import JobSubmissionClient

# Suppress the warning about unverified HTTPS requests since 
# we are using self signed certificates for testing 
urllib3.disable_warnings(urllib3.exceptions.InsecureRequestWarning)

# Initialize the Ray client
client = JobSubmissionClient(
    "https://alpha-ray.hictl.dev.rafay-edge.net", 
    headers={"Authorization": "Basic YWRtaW46NntOZ2pSZ1lJWg=="}, 
    verify=False  # Disable SSL verification
)

# Submit the job to run the gpu_task.py script
submission = client.submit_job(
    entrypoint="python gpu_task.py", 
    runtime_env={
        "pip": ["torch==1.9.0"],  # Specify pip dependencies
        "working_dir": "./"  # Specify the working directory
    }
)